[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetFileHandle

Extract OS handle from an untyped file or text file.

## Declaration

Source position: line 0

`function GetFileHandle(`
`var f: file`
`):THandle; function GetFileHandle(`
`var f: Text`
`):THandle;`

## Description

GetFileHandle returns the operating system handle for the file descriptor F. It can be used in various file operations which are not directly supported by the pascal language.

Documentation generated on: Feb 26 2014